Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

t

scala.tools.scalap.scalax.rules.scalasig

# ByteCodeReader 

###

#### trait ByteCodeReader extends RulesWithState

Provides rules for parsing byte-code.

Source
  ClassFileParser.scala

Linear Supertypes
RulesWithState, StateRules, Rules, AnyRef, Any
Known Subclasses
ClassFileParser, ScalaSigAttributeParsers, SourceFileAttributeParser
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ByteCodeReader
2. RulesWithState
3. StateRules
4. Rules
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class DefaultRule [In, Out, A, X] extends Rule[In, Out, A, X]
   Definition Classes
     Rules
2.  trait FromRule [In] extends AnyRef
   Definition Classes
     Rules
3.  type Parser[A] = rules.Rule[S, S, A, String]
4.  type Rule[+A, +X] = rules.Rule[S, S, A, X]
   Definition Classes
     StateRules
5.  type S = ByteCode
   Definition Classes
     ByteCodeReader → StateRules

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ByteCodeReader to any2stringadd[ByteCodeReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ByteCodeReader, B)
   Implicit
     This member is added by an implicit conversion from ByteCodeReader to ArrowAssoc[ByteCodeReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def allOf[A, X](rules: Seq[Rule[A, X]]): (S) ⇒ Result[S, List[A], X]

   Create a rule that succeeds if all of the given rules succeed.

   Create a rule that succeeds if all of the given rules succeed.

   rules

     the rules to apply in sequence.

   Definition Classes
     StateRules
7.  def anyOf[A, X](rules: Seq[Rule[A, X]]): rules.Rule[S, S, collection.immutable.List[A], X]

   Create a rule that succeeds with a list of all the provided rules that succeed.

   Create a rule that succeeds with a list of all the provided rules that succeed.

   rules

     the rules to apply in sequence.

   Definition Classes
     StateRules
8.  def apply[A, X](f: (S) ⇒ Result[S, A, X]): rules.Rule[S, S, A, X]
   Definition Classes
     StateRules
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  val byte: rules.Rule[S, S, Byte, Nothing]
11.  def bytes(n: Int): rules.Rule[S, S, ByteCode, Nothing]
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
13.  def cond(f: (S) ⇒ Boolean): rules.Rule[S, S, S, Nothing]

    Create a rule that identities if f(in) is true.

    Create a rule that identities if f(in) is true.

    Definition Classes
      StateRules
14.  def ensuring(cond: (ByteCodeReader) ⇒ Boolean, msg: ⇒ Any): ByteCodeReader
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to Ensuring[ByteCodeReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (ByteCodeReader) ⇒ Boolean): ByteCodeReader
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to Ensuring[ByteCodeReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): ByteCodeReader
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to Ensuring[ByteCodeReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): ByteCodeReader
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to Ensuring[ByteCodeReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def error[X](err: X): rules.Rule[Any, Nothing, Nothing, X]
    Definition Classes
      Rules
21.  def error[In]: rules.Rule[In, Nothing, Nothing, In]
    Definition Classes
      Rules
22.  def expect[In, Out, A, Any](rule: rules.Rule[In, Out, A, Any]): (In) ⇒ A

    Converts a rule into a function that throws an Exception on failure.

    Converts a rule into a function that throws an Exception on failure.

    Definition Classes
      Rules
23.  val factory: RulesWithState
    Definition Classes
      RulesWithState → StateRules
24.  def failure: rules.Rule[Any, Nothing, Nothing, Nothing]
    Definition Classes
      Rules
25.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
26.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to StringFormat[ByteCodeReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
27.  def from[In]: FromRule[In]
    Definition Classes
      Rules
28.  def get: rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
31.  implicit def inRule[In, Out, A, X](rule: rules.Rule[In, Out, A, X]): InRule[In, Out, A, X]
    Definition Classes
      Rules
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  def nil: rules.Rule[S, S, collection.immutable.Nil.type, Nothing]
    Definition Classes
      StateRules
35.  def none: rules.Rule[S, S, None.type, Nothing]
    Definition Classes
      StateRules
36.  final def notify(): Unit
    Definition Classes
      AnyRef
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
38.  def oneOf[In, Out, A, X](rules: rules.Rule[In, Out, A, X]*): rules.Rule[In, Out, A, X]
    Definition Classes
      Rules
39.  def read[A](f: (S) ⇒ A): rules.Rule[S, S, A, Nothing]
    Definition Classes
      StateRules
40.  def repeatUntil[T, X](rule: Rule[(T) ⇒ T, X])(finished: (T) ⇒ Boolean)(initial: T): rules.Rule[S, S, T, X]

    Repeatedly apply a rule from initial value until finished condition is met.

    Repeatedly apply a rule from initial value until finished condition is met.

    Definition Classes
      StateRules
41.  implicit def rule[In, Out, A, X](f: (In) ⇒ Result[Out, A, X]): rules.Rule[In, Out, A, X]
    Definition Classes
      Rules
42.  def ruleWithName[In, Out, A, X](_name: String, f: (In) ⇒ Result[Out, A, X]): rules.Rule[In, Out, A, X] with Name
    Definition Classes
      Rules
43.  implicit def seqRule[In, A, X](rule: rules.Rule[In, In, A, X]): SeqRule[In, A, X]
    Definition Classes
      Rules
44.  def set(s: ⇒ S): rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
45.  def state[s]: StateRules { type S = s }
    Definition Classes
      Rules
46.  def success[Out, A](out: Out, a: A): rules.Rule[Any, Out, A, Nothing]
    Definition Classes
      Rules
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def toString(): String
    Definition Classes
      AnyRef → Any
49.  val u1: rules.Rule[S, S, Int, Nothing]
50.  val u2: rules.Rule[S, S, Int, Nothing]
51.  val u4: rules.Rule[S, S, Int, Nothing]
52.  def unit[A](a: ⇒ A): rules.Rule[S, S, A, Nothing]
    Definition Classes
      StateRules
53.  def update(f: (S) ⇒ S): rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  def →[B](y: B): (ByteCodeReader, B)
    Implicit
      This member is added by an implicit conversion from ByteCodeReader to ArrowAssoc[ByteCodeReader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from RulesWithState

### Inherited from StateRules

### Inherited from Rules

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ByteCodeReader to any2stringadd[ByteCodeReader]

### Inherited by implicit conversion StringFormat from ByteCodeReader to StringFormat[ByteCodeReader]

### Inherited by implicit conversion Ensuring from ByteCodeReader to Ensuring[ByteCodeReader]

### Inherited by implicit conversion ArrowAssoc from ByteCodeReader to ArrowAssoc[ByteCodeReader]

### Ungrouped